org.apache.xalan.res

## Class XSLMessages

- java.lang.Object
- - org.apache.xml.res.XMLMessages
  - - org.apache.xpath.res.XPATHMessages
    - - org.apache.xalan.res.XSLMessages

-     public class XSLMessages
      extends XPATHMessages

  Sets things up for issuing error messages. This class is misnamed, and should be called XalanMessages, or some such.
  Usage:
    **For internal use only**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLMessages()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `createMessage(java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
    `static java.lang.String` | `createWarning(java.lang.String msgKey, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.

    - ### Methods inherited from class org.apache.xpath.res.XPATHMessages

      `createXPATHMessage, createXPATHMsg, createXPATHWarning`

    - ### Methods inherited from class org.apache.xml.res.XMLMessages

      `createMsg, createXMLMessage, getLocale, loadResourceBundle, setLocale`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLMessages

          public XSLMessages()

  - ### Method Detail

    - #### createMessage

          public static final java.lang.String createMessage(java.lang.String msgKey,
                                                             java.lang.Object[] args)

      Creates a message from the specified key and replacement arguments, localized to the given locale.
      Parameters:
        `msgKey` - The key for the message text.
        `args` - The arguments to be used as replacement text in the message created.
      Returns:
        The formatted message string.

    - #### createWarning

          public static final java.lang.String createWarning(java.lang.String msgKey,
                                                             java.lang.Object[] args)

      Creates a message from the specified key and replacement arguments, localized to the given locale.
      Parameters:
        `msgKey` - The key for the message text.
        `args` - The arguments to be used as replacement text in the message created.
      Returns:
        The formatted warning string.

Copyright © 2023 Apache XML Project. All Rights Reserved.